package com.four.system.domain;

import io.swagger.models.auth.In;
import org.apache.poi.hpsf.Decimal;
import org.bouncycastle.cms.PasswordRecipientId;

/***
 * 医生详情表
 */
public class SysRegistrationInformation {


    /***
     * 真实姓名
     */
    private String nickName;

    /**
     * 所在医院
     */
    private String affiliatedHospital;

    /**
     * 好评人数
     */
    private String praise;

    /***
     *
     */
    private String numberPatientsServed;

    private String personalResume;

    private String areaExpertise;

    private String professionalTitleDoctorName;


    public SysRegistrationInformation(String nickName, String affiliatedHospital, String praise, String numberPatientsServed, String personalResume, String areaExpertise, String professionalTitleDoctorName) {
        this.nickName = nickName;
        this.affiliatedHospital = affiliatedHospital;
        this.praise = praise;
        this.numberPatientsServed = numberPatientsServed;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.professionalTitleDoctorName = professionalTitleDoctorName;
    }

    @Override
    public String toString() {
        return "SysRegistrationInformation{" +
                "nickName='" + nickName + '\'' +
                ", affiliatedHospital='" + affiliatedHospital + '\'' +
                ", praise='" + praise + '\'' +
                ", numberPatientsServed='" + numberPatientsServed + '\'' +
                ", personalResume='" + personalResume + '\'' +
                ", areaExpertise='" + areaExpertise + '\'' +
                ", professionalTitleDoctorName='" + professionalTitleDoctorName + '\'' +
                '}';
    }

    public SysRegistrationInformation() {
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public String getPraise() {
        return praise;
    }

    public void setPraise(String praise) {
        this.praise = praise;
    }

    public String getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(String numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public String getProfessionalTitleDoctorName() {
        return professionalTitleDoctorName;
    }

    public void setProfessionalTitleDoctorName(String professionalTitleDoctorName) {
        this.professionalTitleDoctorName = professionalTitleDoctorName;
    }
}
